restinio::easy_parser::impl::just_value_transformer_t< T > Class Template Reference

A transformer that skips incoming value and returns a value specified by a user. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::just_value_transformer_t< T >:

## Public Member Functions

| just_value_transformer_t (T v) noexcept(noexcept(T{std::move(v)}))
template<typename Input >
RESTINIO_NODISCARD T | transform (Input &&) const noexcept(noexcept(T{m_value}))

## Private Attributes

T | m_value

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::transformer_tag< T >
using | result_type = T
Static Public Attributes inherited from restinio::easy_parser::impl::transformer_tag< T >
static constexpr entity_type_t | entity_type

## Detailed Description

template<typename T>
class restinio::easy_parser::impl::just_value_transformer_t< T >

A transformer that skips incoming value and returns a value specified by a user.

Since
  v.0.6.6

Definition at line 3145 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## just_value_transformer_t()

template<typename T >

restinio::easy_parser::impl::just_value_transformer_t< T >::just_value_transformer_t | ( | T | v | ) |

inlinenoexcept

Definition at line 3150 of file easy_parser.hpp.

## Member Function Documentation

## transform()

template<typename T >
template<typename Input >

RESTINIO_NODISCARD T restinio::easy_parser::impl::just_value_transformer_t< T >::transform | ( | Input && |  | ) | const

inlinenoexcept

Definition at line 3157 of file easy_parser.hpp.

## Member Data Documentation

## m_value

template<typename T >

T restinio::easy_parser::impl::just_value_transformer_t< T >::m_value

private

Definition at line 3147 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp